algorithmic modeling for Rhino
Hey,
I'm hoping someone can help me get past a little hump I cant quite figure out with Python scripting. I'm trying to create a tent like loft around a set of points.
So far I have a list of points that are derived from the endpoints of the segments of a circle that has been split into n parts, these are in a list [c] The top of the tent is a set of n points all in list [t]. What id like to do is create a new line between the nth point in each list.
Ive attached the GH file and a screen shot of the script and Rhino geometry. Hoping someone can help me with the next step.
import Rhino.Geometry as rg
import rhinoscriptsyntax as rs
import scriptcontext as sc
import ghpythonlib.components as ghcomp
import math
t = []
for i in range(n):
i = rs.AddPoint(0,0,height)
t.append(i)
cirpts = []
circle = rs.AddCircle(center,10)
div = rs.DivideCurve(circle,n,True)
cirpts = div
c = div
Tags:
Welcome to
Grasshopper
© 2025 Created by Scott Davidson.
Powered by